Class | Sequel::SQLTime
In: | lib/sequel/sql.rb
Parent: | ::Time

Time subclass that gets literalized with only the time value, so it operates like a standard SQL time type.

### Methods

create

### Public Class methods

create(hour, minute, second, usec = 0)

Create a new SQLTime instance given an hour, minute, and second.

[Source]

        # File lib/sequel/sql.rb, line 45
    45:     def self.create(hour, minute, second, usec = 0)
    46:       t = now
    47:       local(t.year, t.month, t.day, hour, minute, second, usec)
    48:     end

[Validate]